DROP INDEX(7)

NAME
DROP INDEX - remove an index

SYNOPSIS

DROP INDEX index_name [, ...]

  INPUTS

index_name
    The name of an index to remove.

  OUTPUTS

DROP
    The message returned if the command completes successfully.

ERROR: index "index_name" does not exist
    This message occurs if index_name is not an index in the database.

DESCRIPTION

DROP INDEX drops an existing index from the database system. To execute this command you must be the owner of the index.

  NOTES

DROP INDEX is a PostgreSQL language extension.

Refer to CREATE INDEX [create_index(7)] for information on how to create indexes.

USAGE

This command will remove the title_idx index:

    DROP INDEX title_idx;

COMPATIBILITY

  SQL92

SQL92 defines commands by which to access a generic relational database. Indexes are an implementation-dependent feature and hence there are no index-specific commands or definitions in the SQL92 language.